
load -force "rise2.out"
mix=rise2.*cos([0:1001]'/500*402.5*2*pi+2.0);
f5out=filter([1 5 10 10 5 1],32,mix);


# don't show the rise time, since the DC 1-us-ish glitch
# in the signal looks ugly when run through the "mixer"
if (0)
load -force "rise2.in"
mix=(rise2-15).*cos([0:1001]'/500*402.5*2*pi-0.89);
f5in=filter([1 5 10 10 5 1],32,mix);
# f5in=filter([1 6 15 20 15 6 1],64,mix);
endif

gset xrange [0:1.2]
gset format y "%.1f"
gset format x "%.1f"
gset key left spacing 1.5
gset xlabel 'Time ({/Symbol m}S)'
t=[1:length(f5out)]'/500-.11;
# plot(t,f5out/54.0);

system('OP_TRF1="-7.5,2.7 -7.5,-2.7" OP_TRF2="-9,0" OP_DEL1=7 OP_DRV1=".84,0" OP_NPT=48 ./step | awk \'{print $1,$4}\' >rise_match.dat');

load -force "rise_match.dat";
system('rm -f rise_match.dat');
plot(t,f5out/68.0,";data;",rise_match(:,1),rise_match(:,2),";fit;");
